package com.rongwei.bscommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwei.bsentity.domain.ApsProcessOperationDo;
import com.rongwei.bsentity.domain.ApsProcessOperationOutMaterDo;
import com.rongwei.rwcommon.base.R;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 生产订单_坯料计划_工序作业 服务类
 * </p>
 *
 * @author fpy
 * @since 2024-03-01
 */
public interface ApsProcessOperationService extends IService<ApsProcessOperationDo> {

    /*
    选择工艺路线后续操作
     */
    R resetCraftRoute(Map<String, Object> params);

    R chooseHistoryRoute(Map<String, Object> params);

    /*
    清除工艺路线
     */
    void clearCraftRoute(Map<String, Object> params);


    R checkOperation(Map<String, Object> params);


    /*
    更新后面所有工序信息
     */
    R resetProcessOperation(List<ApsProcessOperationOutMaterDo> apsProcessOperationOutMaterDoList);

    R updateBorrowProcess(Map<String, Object> params);

    R backupProcessOperation();

    R backupRestoreProcessOperation();

    R cancelConflict(List<String> ids);

    R updateProcess(Map<String, Object> params);
}
